September 17, 2026

Prev Next

You can view the changes to the service that were updated during the regular release on September 17, 2026.

Caution

Information regarding "Update - Termination" or "Update - Feature change" requires action on your part, so review the details of these changes.

VPC

You can view the service-specific changes applied to the VPC environment during the scheduled release on September 17, 2026. Click a service name to view the release notes for that service.

Blockchain Service

Classification Changes Go to page
Update - Termination End of API provision.
  • All operations will be unavailable starting September 17, 2026.

Certificate Manager

Classification Changes Go to page
Update - Feature change Length restriction for certificateName in createExternalCertificate changed from 3-30 characters to 3-20 characters (letters, numbers, and hyphens). createExternalCertificate
Update - Others Request method and URI correction.
  • DownloadCertificate request method GET → POST and request body (certificateNo·type·passwd) added.
  • ListCloudCertificates request URI /certificates → /getCertificates.
Update - Others Request example (curl) URI correction.
  • AdvancedCertificateRequest: requestPaidCertificateIssuance
  • GlobalEdgeCertificateRequest: requestGedCertificateIssuance
  • RegisterPrivateKey: registPrivateKey
  • SetRenewalStatus: setCertificateRenewal
  • ListAdvancedCertificates: getPaidCertificates
  • ListRecentCertChanges: recentChanges
Update - Others Corrections to response field names and types
  • Response field names in ListAdvancedCertificates were corrected from certificateTypeCode to certificateType and from orderID to orderId; certificate type values were also updated (NCP_PAID_DV_01).
  • subjectCommonName of GetCertificateChain was changed from integer to string.
  • validSn of ListDcvStatuses was changed from string to integer.
  • certificateNo of ReissueCertificate was changed from query parameter to path parameter (integer).
  • Type notation of SetRenewalStatus was changed from Int to Integer.
Update - Others Supplemented request parameters and response field tables.
  • Added response fields (certPublicKeyInfo·issuer·serialNumber·signatureAlgorithm·issueDate·notBefore·notAfter·revokeDate·usedInstanceNoList·orderId) and request parameter tables (page·pageSize·certificateName) to ListCertificates, ListCloudCertificates, and ListAdvancedCertificates.
  • Added keyAlgorithm, requestToken, and subscriptionPeriod to AdvancedCertificateRequest.
  • Added type to DownloadCertificate.
  • Added emailVerificationCount, emailVerificationList, and txtId to ListDcvStatuses.
  • Added startDateTime and endDateTime to ListRecentCertChanges, and specified that either minutes or seconds is required.
  • Clarified that paging is not supported for ListEabCredentials.
  • Removed duplicate rows for revokeType in RevokeCertificate.
Update - Others Added common error codes 1000, 1006, and 2101. Certificate Manager overview

Cloud Data Streaming Service

Classification Changes Go to page
Update - Feature addition
  • Added "Deprecated" information fields for the management tool to the Get cluster API response.
  • Added "Deprecated" information for cmakPort and cmakVersion to the Get cluster list.
  • Added "Deprecated" information for result.cmakStatus to the Get cluster status, Get node rolling restart status, and Get version upgrade status.
Update - Termination
  • End of provision for Restart cluster CMAK API.
  • Deleted applicable operations following the removal of CMAK.
-

Cloud DB for PostgreSQL (VPC)

Classification Changes Go to page
Update - Feature addition Added support for specifying a folder path using the folderPath field for Object Storage export.

Cloud DB Serverless ico-badge-standardized

Classification Changes Go to page
New - Initial release Provision of the Cloud DB Serverless API that incorporates Ncloud's standard notation. Cloud DB Serverless overview

Global DNS

Classification Changes Go to page
Update - Bug improvement Fixed an error that occurred when attempting to change the TTL of multiple TXT records with the same value simultaneously. -

Ncloud Chat

Classification Changes Go to page
Update - Termination End of API provision.
  • All operations will be unavailable starting September 17, 2026.

Ncloud Kubernetes Service

Classification Changes Go to page
Update - Feature addition Added validation for the Create cluster API.
  • Added validation for zone and subnet mismatches in regional cluster node pools.
  • Added validation for Audit Log CLA subscription.
  • Istio add-on now available.
  • Requests to create regional clusters must verify that the zone and subnet of the node pool match and that the Audit Log CLA is subscribed to. If there is a mismatch, the request will fail.
-

Search Engine Service

Classification Changes Go to page
Update - Bug improvement Correction of a typo in the sub account permission name: changSpecOfNode. -

Simple & Easy Notification Service

Classification Changes Go to page
Update - Feature addition Introduction of 5 new email delivery APIs. Following the integration of Outbound Mailer, SENS now supports email delivery and retrieval.
  • Email delivery request creation
    • POST /mail/v2/services/{serviceId}/requests
    • Request body required
      • address
      • groups
    • Request body optional
      • senderName
      • individual
      • confirmAndSend
      • advertising
      • parameters
      • reservationDateTime
      • attachFileIds
      • useBasicUnsubscribeMessage
      • unsubscribeMessage
      • name
      • type
      • operator
  • Get delivery request list
    • GET /mail/v2/services/{serviceId}/requests
    • Query parameter required
      • fromDateTime
      • toDateTime
    • Query parameter optional
      • requestId
      • mailId
      • title
      • templateNo
      • senderAddress
      • recipientAddress
      • dispatchType
      • status
      • pageNo
      • pageSize
      • sort
  • Get delivery request
    • GET /mail/v2/services/{serviceId}/requests/{requestId}
  • Get email list
    • GET /mail/v2/services/{serviceId}/requests/{requestId}/mails
    • Query parameter optional
      • mailId
      • recipientAddress
      • title
      • status
      • pageNo
      • pageSize
      • sort
  • Get email details
    • GET /mail/v2/services/{serviceId}/requests/{requestId}/mails/{mailId}

Video Player Enhancement

Classification Changes Go to page
Update - Others Response to NAVER Cloud API workflow termination: Migration to a dedicated Cron VM. -

Classic

You can view the service-specific changes applied to the Classic environment during the scheduled release on September 17, 2026. Click a service name to view the release notes for that service.

Certificate Manager

Classification Changes Go to page
Update - Feature change Length restriction for certificateName in createExternalCertificate changed from 3-30 characters to 3-20 characters (letters, numbers, and hyphens). createExternalCertificate
Update - Others Request method and URI correction.
  • DownloadCertificate request method GET → POST and request body (certificateNo·type·passwd) added.
  • ListCloudCertificates request URI /certificates → /getCertificates.
Update - Others Request example (curl) URI correction.
  • AdvancedCertificateRequest: requestPaidCertificateIssuance
  • GlobalEdgeCertificateRequest: requestGedCertificateIssuance
  • RegisterPrivateKey: registPrivateKey
  • SetRenewalStatus: setCertificateRenewal
  • ListAdvancedCertificates: getPaidCertificates
  • ListRecentCertChanges: recentChanges
Update - Others Corrections to response field names and types
  • Response field names in ListAdvancedCertificates were corrected from certificateTypeCode to certificateType and from orderID to orderId; certificate type values were also updated (NCP_PAID_DV_01).
  • subjectCommonName of GetCertificateChain was changed from integer to string.
  • validSn of ListDcvStatuses was changed from string to integer.
  • certificateNo of ReissueCertificate was changed from query parameter to path parameter (integer).
  • Type notation of SetRenewalStatus was changed from Int to Integer.
Update - Others Supplemented request parameters and response field tables.
  • Added response fields (certPublicKeyInfo·issuer·serialNumber·signatureAlgorithm·issueDate·notBefore·notAfter·revokeDate·usedInstanceNoList·orderId) and request parameter tables (page·pageSize·certificateName) to ListCertificates, ListCloudCertificates, and ListAdvancedCertificates.
  • Added keyAlgorithm, requestToken, and subscriptionPeriod to AdvancedCertificateRequest.
  • Added type to DownloadCertificate.
  • Added emailVerificationCount, emailVerificationList, and txtId to ListDcvStatuses.
  • Added startDateTime and endDateTime to ListRecentCertChanges, and specified that either minutes or seconds is required.
  • Clarified that paging is not supported for ListEabCredentials.
  • Removed duplicate rows for revokeType in RevokeCertificate.
Update - Others Added common error codes 1000, 1006, and 2101. Certificate Manager overview

Global DNS

Classification Changes Go to page
Update - Bug improvement Fixed an error that occurred when attempting to change the TTL of multiple TXT records with the same value simultaneously. -

Search Engine Service

Classification Changes Go to page
Update - Bug improvement Correction of a typo in the sub account permission name: changSpecOfNode. -

Simple & Easy Notification Service

Classification Changes Go to page
Update - Feature addition Introduction of 5 new email delivery APIs. Following the integration of Outbound Mailer, SENS now supports email delivery and retrieval.
  • Email delivery request creation
    • POST /mail/v2/services/{serviceId}/requests
    • Request body required
      • address
      • groups
    • Request body optional
      • senderName
      • individual
      • confirmAndSend
      • advertising
      • parameters
      • reservationDateTime
      • attachFileIds
      • useBasicUnsubscribeMessage
      • unsubscribeMessage
      • name
      • type
      • operator
  • Get delivery request list
    • GET /mail/v2/services/{serviceId}/requests
    • Query parameter required
      • fromDateTime
      • toDateTime
    • Query parameter optional
      • requestId
      • mailId
      • title
      • templateNo
      • senderAddress
      • recipientAddress
      • dispatchType
      • status
      • pageNo
      • pageSize
      • sort
  • Get delivery request
    • GET /mail/v2/services/{serviceId}/requests/{requestId}
  • Get email list
    • GET /mail/v2/services/{serviceId}/requests/{requestId}/mails
    • Query parameter optional
      • mailId
      • recipientAddress
      • title
      • status
      • pageNo
      • pageSize
      • sort
  • Get email details
    • GET /mail/v2/services/{serviceId}/requests/{requestId}/mails/{mailId}

Video Player Enhancement

Classification Changes Go to page
Update - Others Response to NAVER Cloud API workflow termination: Migration to a dedicated Cron VM. -